# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Types | Public Member Functions | Private Attributes | List of all members
DBus::Callback< C, R, P > Class Template Reference

`#include <util.h>`

Inheritance diagram for DBus::Callback< C, R, P >:

## Public Types

typedef R(C::* | M) (P)

## Public Member Functions

| Callback (C *c, M m)
R | call (P param) const
Public Member Functions inherited from DBus::Callback_Base< R, P >
virtual | ~Callback_Base ()

## Private Attributes

C * | _c
M | _m

## Detailed Description

template<class C, class R, class P>
class DBus::Callback< C, R, P >

Definition at line 271 of file util.h.

## Member Typedef Documentation

## ◆ M

template<class C, class R, class P>

typedef R(C::* DBus::Callback< C, R, P >::M) (P)

Definition at line 275 of file util.h.

## Constructor & Destructor Documentation

## ◆ Callback()

template<class C, class R, class P>

DBus::Callback< C, R, P >::Callback | ( | C * | c,
|  | M | m )

inline

Definition at line 277 of file util.h.

References _c, and _m.

## Member Function Documentation

## ◆ call()

template<class C, class R, class P>

R DBus::Callback< C, R, P >::call | ( | P | param | ) | const

inline virtual

Implements DBus::Callback_Base< R, P >.

Definition at line 281 of file util.h.

References _c, and _m.

## Member Data Documentation

## ◆ _c

template<class C, class R, class P>

C* DBus::Callback< C, R, P >::_c

private

Definition at line 288 of file util.h.

Referenced by call(), and Callback().

## ◆ _m

template<class C, class R, class P>

M DBus::Callback< C, R, P >::_m

private

Definition at line 289 of file util.h.

Referenced by call(), and Callback().

The documentation for this class was generated from the following file:

- util.h